
Redmine - Patch #2289

Patch for #2282 (show project name in front of related issues)

2008-12-06 23:45 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.8   

Description

Stephanie Collett wrote in #2282:

One of Redmine's strengths is the ability to relate issues in different projects. However, when reading the related issues for a

particular issue, the projects these related issues are in is unclear. It would be nice to have the project named displayed like it is

in the general issues page.

 This patch modifies the issue_relations-partial in a way that it displays the project-name in front of the related issues when the setting

"cross_project_issue_relations" is true (on).

Examples:

Setting "cross_project_issue_relations"  false: related_issues_before.jpg 

Setting "cross_project_issue_relations"  true: related_issues_after.jpg 

Related issues:

Related to Redmine - Feature #2282: Display project name for related issues t... Closed 2008-12-05

History

#1 - 2008-12-06 23:49 - Mischa The Evil

- File show_related_issues_project-r2092.diff added

Ouch... Forgot to attach the actual patch. Here it is...

#2 - 2008-12-07 09:49 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

Added in r2101 with slight changes. Thanks.

#3 - 2008-12-08 18:36 - Stephanie Collett

Thanks for the fix and commit.

Files

related_issues_before.jpg 19.7 KB 2008-12-06 Mischa The Evil

related_issues_after.jpg 20.8 KB 2008-12-06 Mischa The Evil

show_related_issues_project-r2092.diff 1.24 KB 2008-12-06 Mischa The Evil
